Download
(50 Kb)
Download
Updated: 02/13/24 10:38 PM
Pictures
File Info
Compatibility:
Necrom (9.0.0)
Updated:02/13/24 10:38 PM
Created:06/14/23 11:06 AM
Monthly downloads:242
Total downloads:2,932
Favorites:1
MD5:
Chat Emotes
Version: 2.5
by: akamatsu02 [More]
OLD NAME: pChat Emoji Extension
-> please delete it before installing the new version

This addon adds emotes to the ingame chat.

Current features:
- window with all emotes listed
- emote recommendations while typing
- includes ~500 ESO build-in textures
- compatible with all other chat emote addons that use LibEmote


Dependencies:
- LibEmote
- LibAddonMenu-2.0
- LibAkaUtils
- LibChatMenuButton
2.5
- applied changes from LibChatMenuButton
2.3
- make compatible with the latest version of LibEmote
2.0
- complete rework of the addon
1.6:
- fixed UI Error
- removed LibAkamatsu and added LibAkaUtils to required dependencies
1.5:
- the Chat-Icon is now movable
- fixed Addon-Name in the settings
Archived Files (11)
File Name
Version
Size
Uploader
Date
2.4
50kB
akamatsu02
02/09/24 07:43 PM
2.3
14kB
akamatsu02
11/06/23 06:05 PM
2.2
15kB
akamatsu02
10/10/23 08:43 AM
2.1
50kB
akamatsu02
09/09/23 09:05 AM
2.0
73kB
akamatsu02
09/08/23 10:19 PM
1.6
1MB
akamatsu02
07/24/23 03:49 AM
1.5
1MB
akamatsu02
06/22/23 01:33 PM
1.4
1MB
akamatsu02
06/18/23 12:52 PM
1.3
1MB
akamatsu02
06/18/23 03:29 AM
1.1
1MB
akamatsu02
06/14/23 02:54 PM
1.0
1MB
06/14/23 11:06 AM


Post A Reply Comment Options
Unread 07/23/23, 08:09 AM  
akamatsu02
AddOn Author - Click to view AddOns

Forum posts: 0
File comments: 18
Uploads: 10
Re: error in xml

Originally Posted by DakJaniels
I'll fix it with the next update, thanks for the info
Report comment to moderator  
Reply With Quote
Unread 07/22/23, 11:03 PM  
DakJaniels
AddOn Author - Click to view AddOns

Forum posts: 23
File comments: 114
Uploads: 3
error in xml

Last edited by DakJaniels : 07/22/23 at 11:04 PM.
Report comment to moderator  
Reply With Quote
Unread 06/22/23, 08:02 AM  
akamatsu02
AddOn Author - Click to view AddOns

Forum posts: 0
File comments: 18
Uploads: 10
Originally Posted by NeuroticPixels
You may want to include in the description that the addon's menu is called "AkapChatExtra".
Took me forever to find the options menu for this because I thought it'd be something like "pChat Emoji Extension". lol.

Also, I'd like to request an option to move the addon's icon on the chat window. I have other addons that use that area and allow me to customize where they put their icons. I'd like to do the same with this one, if possible.
I'll do it with the next Update ^^
Report comment to moderator  
Reply With Quote
Unread 06/22/23, 08:01 AM  
akamatsu02
AddOn Author - Click to view AddOns

Forum posts: 0
File comments: 18
Uploads: 10
Originally Posted by Anthonysc
Out of curiosity, does this require other players to have the addon installed in order to see the emoji on their end like the other "ESO Emoji" or "ggChatEmojis" addons do?

If so, is there anyway to make this compatible with the emoji's the other addons send?
It requires the other players to have the addon in order to see the emojis, because they are converted to text like in Discord, for example :smile: =>
I guess the other Addons that you have mentioned only show the Eso-Emojis, where the textures are available in the game.
If you receive Emojis sent by another addon, there shouldn't be any problems.
Report comment to moderator  
Reply With Quote
Unread 06/20/23, 05:07 PM  
NeuroticPixels
Addon Addict
 
NeuroticPixels's Avatar
Premium Member

Forum posts: 210
File comments: 862
Uploads: 0
You may want to include in the description that the addon's menu is called "AkapChatExtra".
Took me forever to find the options menu for this because I thought it'd be something like "pChat Emoji Extension". lol.

Also, I'd like to request an option to move the addon's icon on the chat window. I have other addons that use that area and allow me to customize where they put their icons. I'd like to do the same with this one, if possible.
Report comment to moderator  
Reply With Quote
Unread 06/18/23, 06:01 PM  
Anthonysc

Forum posts: 7
File comments: 80
Uploads: 0
Out of curiosity, does this require other players to have the addon installed in order to see the emoji on their end like the other "ESO Emoji" or "ggChatEmojis" addons do?

If so, is there anyway to make this compatible with the emoji's the other addons send?
Last edited by Anthonysc : 06/18/23 at 06:08 PM.
Report comment to moderator  
Reply With Quote
Unread 06/18/23, 03:31 AM  
akamatsu02
AddOn Author - Click to view AddOns

Forum posts: 0
File comments: 18
Uploads: 10
Originally Posted by Baertram
Hello and thanks for the addon.

Please always name the dependencies and optional dependencies at the top/or very bottom of your addon description so the users know what to install to make that work:
Code:
pChat
LibAddonMenu-2.0
Also please, within your txt file, add the dependencies with the appropriate AddOnVersion after the >= ta at the dependend addons so ppl do not use any very outdated version that does not work.
Here is a description about the >=<unsignedIntegerAddOnVersionOfDependency) tag and the ## AddOnVersion tag in the dependency:
https://wiki.esoui.com/Addon_manifes...t#AddOnVersion

This assures that the game will handle the proper versioning of the libraries/dependencies.


In case of LibAddonMenu you should at least add
LibAddonMenu-2.0>=28 (better use 34 as it's the newest one) so that the global vriable LibAddonMenu2 works and exists!
Else ppl could still use LibAddonMenu-2.0 r27 e.g. and thisone only works wth LibStub (not supported any longer) and fail the addons to work properly, allthough they would load.
And you have the stress to test and bug fix where not neeeded in the end

In case of pChat just use the most current actual version aif ## AddOnVersion in pChat.txt so ppl do not use older versions where you haven't tested it with.

Thank you.
Hi ^^
thank you for the tip, I just uploaded the newer version with all the changes
Report comment to moderator  
Reply With Quote
Unread 06/15/23, 07:07 AM  
Baertram
Super Moderator
 
Baertram's Avatar
ESOUI Super Moderator
AddOn Author - Click to view AddOns

Forum posts: 4872
File comments: 5929
Uploads: 78
Hello and thanks for the addon.

Please always name the dependencies and optional dependencies at the top/or very bottom of your addon description so the users know what to install to make that work:
Code:
pChat
LibAddonMenu-2.0
Also please, within your txt file, add the dependencies with the appropriate AddOnVersion after the >= ta at the dependend addons so ppl do not use any very outdated version that does not work.
Here is a description about the >=<unsignedIntegerAddOnVersionOfDependency) tag and the ## AddOnVersion tag in the dependency:
https://wiki.esoui.com/Addon_manifes...t#AddOnVersion

This assures that the game will handle the proper versioning of the libraries/dependencies.


In case of LibAddonMenu you should at least add
LibAddonMenu-2.0>=28 (better use 34 as it's the newest one) so that the global vriable LibAddonMenu2 works and exists!
Else ppl could still use LibAddonMenu-2.0 r27 e.g. and thisone only works wth LibStub (not supported any longer) and fail the addons to work properly, allthough they would load.
And you have the stress to test and bug fix where not neeeded in the end

In case of pChat just use the most current actual version aif ## AddOnVersion in pChat.txt so ppl do not use older versions where you haven't tested it with.

Thank you.
Last edited by Baertram : 06/15/23 at 07:08 AM.
Report comment to moderator  
Reply With Quote
Post A Reply



Category Jump: